.related-products {
  display: block;
}

.related-products__heading {
  margin: 0 0 1rem;
}


.related-products .collection__view-all a:not(.link), 
.related-products .blog__view-all a:not(.link) {
  margin-top: 1rem;
}


@media screen and (max-width: 989px) {
  .related-products .collection__view-all a:not(.link), 
  .related-products .blog__view-all a:not(.link) {
    margin-top: 2rem;
    margin-bottom: 6rem;
  }
}

product-recently-viewed.related-products .collection__description {
  margin-bottom: 2rem;
}